<?xml version="1.0" encoding="utf-8"?>
<!--
Copyright (c) 2004 The JA-SIG Collaborative.  All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.

3. Redistributions of any form whatsoever must retain the following
   acknowledgment:count
   "This product includes software developed by the JA-SIG Collaborative
   (http://www.jasig.org/)."

THIS SOFTWARE IS PROVIDED BY THE JA-SIG COLLABORATIVE "AS IS" AND ANY
EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE JA-SIG COLLABORATIVE OR
ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
OF THE POSSIBILITY OF SUCH DAMAGE.

Author: Justin Tilton, jet@immagic.com
        Jon Allen, jfa@immagic.com
        Terence Ordona, portal@imaputz.com
Version $Revision: 1.57.2.6 $
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" indent="yes"/>
	<xsl:param name="baseActionURL" select="'render.userLayoutRootNode.uP'"/>
	<xsl:variable name="mode" select="/layout/@mode"/>
	<xsl:param name="mediaPath">media/org/jasig/portal/layout/AL_TabColumn/inductiveModes</xsl:param>
	<xsl:param name="skin" select="'divs'"/>
	<xsl:variable name="mediaPathSkin" select="concat($mediaPath,'/',$skin,'/skin')"/>
	<xsl:variable name="mediaPathControls" select="concat($mediaPath,'/',$skin,'/controls')"/>
	<xsl:variable name="mediaPathIcons" select="concat($mediaPath,'/',$skin,'/icons')"/>
	<xsl:param name="errorMessage" select="'no errorMessage passed'"/>
	<xsl:param name="authenticated" select="/layout/@authenticated"/>
	<xsl:param name="authorizedChannelPublisher" select="'false'"/>
	<xsl:param name="authorizedFragmentPublisher" select="'false'"/>
	<xsl:param name="userName" select="'Guest'"/>
	<!--These variables and parameters are used in fragment mode-->
	<xsl:param name="currentFragmentID" select="'default_layout'"/>
	<!--These variables and parameters are used in preferences mode-->
	<xsl:param name="moveID" select="/layout/@selectedID"/>
	<xsl:param name="selectedID" select="/layout/@selectedID"/>
	<xsl:param name="focusedTabID" select="/layout/@focusedTabID"/>
	<xsl:param name="targetRestriction" select="/layout/@targetRestriction"/>
	<xsl:param name="targetAction" select="/layout/@targetAction"/>
	<xsl:variable name="uppercase">ABCDEFGHIJKLMNOPQRSTUVWXYZ </xsl:variable>
	<xsl:variable name="lowercase">abcdefghijklmnopqrstuvwxyz-</xsl:variable>

	<xsl:variable name="userLayoutRoot" select="/layout/@userLayoutRoot"/>
	<xsl:param name="channelPublishID" select="'no channelPublishID passed'"/>

	<xsl:template match="layout_fragment">
		<html><head>
		<title>inductiveModes. Developer Alpha :: <xsl:value-of select="content/channel/@name"/></title>
		<meta http-equiv="expires" content="Wed, 26 Feb 1997 08:21:57 GMT"/>
		<link type="text/css" rel="stylesheet" href="{$mediaPath}/common/skin/standard.css" media="screen"/>
		<link type="text/css" rel="stylesheet" href="{$mediaPathSkin}/{$skin}.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="{$mediaPathSkin}/layout.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="{$mediaPath}/common/skin/print.css" media="print"/>
		<script type="text/javascript" src="{$mediaPath}/common/scripts/standard.js">function fakeFunction() { return false; }</script>
		<script type="text/javascript" src="{$mediaPath}/common/scripts/icon-controls.js">function fakeFunction() { return false; }</script>
		<script type="text/javascript">
			var mediaPath = "<xsl:value-of select="$mediaPathControls"/>" + "/";
		</script>
		</head><body>
		<xsl:attribute name="id">body-<xsl:value-of select="translate(//focusedTab//@name,$uppercase,$lowercase)"/></xsl:attribute>

		<div class="display-100-percent"><div class="display-padded-column">
			<xsl:for-each select="content//channel">
				<xsl:apply-templates select=".">
					<xsl:with-param name="detachedContent" select="'true'"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</div></div>

		</body></html>
	</xsl:template>

	<xsl:template match="layout">
		<html><head>
		<title>inductiveModes. Developer Alpha :: <xsl:value-of select="//focusedTab//@name"/></title>
		<link type="text/css" rel="stylesheet" href="{$mediaPath}/common/skin/standard.css" media="screen"/>
		<link type="text/css" rel="stylesheet" href="{$mediaPathSkin}/{$skin}.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="{$mediaPathSkin}/layout.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="{$mediaPathSkin}/tab-icons.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="{$mediaPath}/common/skin/print.css" media="print"/>
		<script type="text/javascript" src="{$mediaPath}/common/scripts/standard.js">function fakeFunction() { return false; }</script>
		<script type="text/javascript" src="{$mediaPath}/common/scripts/icon-controls.js">function fakeFunction() { return false; }</script>
		<script type="text/javascript">
			var mediaPath = "<xsl:value-of select="$mediaPathControls"/>" + "/";
		</script>
		</head><body>
		<xsl:attribute name="id">body-<xsl:value-of select="translate(//focusedTab//@name,$uppercase,$lowercase)"/></xsl:attribute>

			<a href="#tabNavigation" title="Skip to page navigation" id="skipToNav"><img src="{$mediaPath}/transparent.gif" width="1" height="1" alt="" border="0" /></a>
			<a href="#tabFooter" title="Skip to page content" id="skipToContent"><img src="{$mediaPath}/transparent.gif" width="1" height="1" alt="" border="0" /></a>
			<xsl:apply-templates/>
		</body></html>
	</xsl:template>

	<xsl:template match="login">
		<span class="uportal-channel-title">Welcome Guest - Please Login</span>
		<xsl:copy-of select="channel"/>
	</xsl:template>

	<xsl:template match="header">
	<div id="pageHeader">
		<xsl:if test="not(/layout/login)">
			<a href="{$baseActionURL}?uP_root=root&amp;uP_reload_layout=true&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=mode&amp;mode=view">
				<xsl:if test="not($mode='view')">
					<xsl:attribute name="onclick">return confirm('Have you saved your changes?\nAre you sure you want to exit preferences?')</xsl:attribute>
				</xsl:if>
				<img src="{$mediaPathIcons}/home.gif" width="24" height="24" alt="Home" title="Home" border="0"/>
			</a>
			<a href="{$baseActionURL}?uP_fname=layout-sitemap&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
				<img src="{$mediaPathIcons}/sitemap.gif" width="24" height="24" alt="View Sitemap" title="View Sitemap" border="0"/>
			</a>
			<xsl:if test="$authorizedChannelPublisher='true'">
				<a href="{$baseActionURL}?uP_fname=portal/channelmanager/general">
					<img width="24" height="24" alt="Channel Manager" title="Channel Manager" src="{$mediaPathIcons}/channelmanager.gif" border="0"/>
				</a>
			</xsl:if>
			<xsl:if test="$userLayoutRoot='root'">
				<xsl:choose>
					<xsl:when test="$mode='view' and $authenticated='true'">
						<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=preferences&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}">
							<img width="24" height="24" alt="Turn on Preferences" title="Turn on Preferences" src="{$mediaPathIcons}/preferences.gif" border="0"/>
						</a>
					</xsl:when>
					<xsl:when test="$mode='preferences'">
						<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=view&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
							<img width="24" height="24" alt="Turn off Preferences" title="Turn off Preferences" src="{$mediaPathIcons}/preferencesoff.gif" border="0"/>
						</a>
						<a href="{$baseActionURL}?uP_sparam=uP_save&amp;uP_save=all">
							<img width="24" height="24" alt="Save Changes" title="Save Changes" src="{$mediaPathControls}/save.gif" border="0"/>
						</a>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
			<a href="Logout" class="uportal-navigation-category">
				<img src="{$mediaPathIcons}/logout.gif" width="24" height="24" alt="Logout" title="Logout" border="0"/>
			</a>
			<div>Welcome <xsl:value-of select="$userName"/></div>
		</xsl:if>
	</div>
	</xsl:template>

	<xsl:template match="navigation">
	<ul id="tabNavigation">
		<xsl:apply-templates>
			<xsl:with-param name="type" select="'tab'"/>
		</xsl:apply-templates>
		<li class="fixTabsIE"><a href="#">&#160;</a></li>
	</ul>
	<div id="tabFooter"></div>
	</xsl:template>

	<xsl:template match="inactiveTab">
		<li>
		<xsl:attribute name="id">tab-<xsl:value-of select="position()"/></xsl:attribute>
			<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" rel="inactiveTab">
				<xsl:attribute name="accesskey"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:attribute name="tabindex"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute>
				<span>
				<xsl:attribute name="class">tab-<xsl:value-of select="translate(@name,$uppercase,$lowercase)"/></xsl:attribute>
				<xsl:value-of select="@name"/>
				</span>
			</a>
		</li>
	</xsl:template>

	<xsl:template match="focusedTab">
		<li class="focusedTab">
		<xsl:attribute name="id">tab-<xsl:value-of select="position()"/></xsl:attribute>
			<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" rel="focusedTab">
				<xsl:attribute name="accesskey"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:attribute name="tabindex"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute>
				<span>
				<xsl:attribute name="class">tab-<xsl:value-of select="translate(@name,$uppercase,$lowercase)"/></xsl:attribute>
				<xsl:value-of select="@name"/>
				</span>
			</a>
		</li>
	</xsl:template>

	<xsl:template match="selectedTab">
		<li>
		<xsl:attribute name="id">tab-<xsl:value-of select="position()"/></xsl:attribute>
			<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" rel="selectedTab">
				<xsl:attribute name="accesskey"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:attribute name="tabindex"><xsl:value-of select="position()"/></xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute>
				<span>
				<xsl:attribute name="class">tab-<xsl:value-of select="translate(@name,$uppercase,$lowercase)"/></xsl:attribute>
				<xsl:value-of select="@name"/>
				</span>
			</a>
		</li>
	</xsl:template>

	<xsl:template match="column">
		<xsl:param name="numberOfColumns" select="count(//column)" />
		<xsl:variable name="percentsign">%</xsl:variable>
		<xsl:variable name="nopercentsign"></xsl:variable>

		<xsl:if test="$numberOfColumns &gt; 1">
			<xsl:choose>
			<xsl:when test="//column[last()]/@width = '100%'">
				<div><xsl:attribute name="class">display-<xsl:value-of select="$numberOfColumns"/>-columns</xsl:attribute>
				<div class="display-padded-column">
					<xsl:apply-templates/>
				</div></div>
			</xsl:when>
			<xsl:otherwise>
				<div><xsl:attribute name="class">display-<xsl:value-of select="translate(@width,$percentsign,$nopercentsign)"/>-percent</xsl:attribute>
				<div class="display-padded-column">
					<xsl:apply-templates/>
				</div></div>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	
		<xsl:if test="$numberOfColumns=1">
			<xsl:for-each select="column">
				<div class="display-100-percent"><div class="display-padded-column">
					<xsl:apply-templates/>
				</div></div>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<xsl:template match="content">
		<!-- <xsl:variable name="numCols" select="count(column)"/> -->
		<xsl:apply-templates>
			<xsl:with-param name="type" select="'column'"/>
		</xsl:apply-templates>
	</xsl:template>

	<xsl:template match="channel">
		<xsl:if test="@minimized != 'true'">
			<div class="channel-window-outside">
			<xsl:attribute name="id">windowID<xsl:value-of select="@ID"/></xsl:attribute>
			<div class="channel-window-inside">
				<div class="channel-header">
					<div>
					<xsl:choose>
						<xsl:when test="$selectedID=@ID">
							<h1>
							<xsl:attribute name="id">titleID<xsl:value-of select="@ID"/></xsl:attribute>
							<xsl:value-of select="@title"/>
							</h1>
							<span><xsl:call-template name="channelRestrictions"/></span>
						</xsl:when>

						<xsl:otherwise>
							<h1>
							<xsl:attribute name="id">titleID<xsl:value-of select="@ID"/></xsl:attribute>
							<xsl:value-of select="@title"/>
							</h1>
							<span><xsl:call-template name="channelRestrictions"/></span>
						</xsl:otherwise>
					</xsl:choose>
					</div>
				</div>
				<div class="channel-content-border">
				<xsl:attribute name="id">channelID<xsl:value-of select="@ID"/></xsl:attribute>
				<div class="channel-content-body">
					<xsl:copy-of select="."/>
				</div></div>
			</div></div>
		</xsl:if>

		<xsl:if test="@minimized = 'true'">
		<div class="channel-window-outside-minimized"><div class="channel-window-inside-minimized">
			<div class="channel-header-minimized">
				<div>
				<xsl:choose>
					<xsl:when test="$selectedID=@ID">
						<h1><xsl:value-of select="@title"/></h1>
						<xsl:call-template name="channelRestrictions"/>
					</xsl:when>

					<xsl:otherwise>
						<h1><xsl:value-of select="@title"/></h1>
						<xsl:call-template name="channelRestrictions"/>
					</xsl:otherwise>

				</xsl:choose>
				</div>
			</div>
		</div></div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="focusedContent">
		<div class="display-100-percent"><div class="display-padded-column">
			<xsl:apply-templates select="*"/>
		</div></div>
	</xsl:template>

	<xsl:template match="footer">
		<div id="pageFooter">
			<p>based on uPortal 2.3.2</p>
			<p>inductiveModes. Developer Alpha 02. 20040718.</p>
			<p>Terence Ordona. <a href="mailto:portal@imaputz.com">portal@imaputz.com</a></p>
			<p><a href="http://www.imaputz.com/uportal/">http://www.imaputz.com/uportal/</a></p>
		</div>
	</xsl:template>

<!--
	<xsl:template match="inactiveTab">
		<xsl:choose>
			<xsl:when test="$targetAction='Tab Move' or $targetAction='Channel Move' or $targetAction='Column Move'">
				<a href="{$baseActionURL}?uP_request_move_targets={$selectedID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
					1<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:when test="$targetAction='New Tab' or $targetAction='New Column'">
				<a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
					2<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:when test="$targetAction='New Channel'">
				<a href="{$baseActionURL}?uP_request_add_targets=channel&amp;uP_sparam=channelPublishID&amp;channelPublishID={$channelPublishID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={$selectedID}&amp;uP_sparam=targetRestriction&amp;targetRestriction={$targetRestriction}">
					3<xsl:value-of select="@name"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<a href="{$baseActionURL}?uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=mode&amp;mode={$mode}">
					<xsl:value-of select="@name"/>
				</a>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>
-->

	<xsl:template match="move_target">
		<xsl:param name="type"/>
		<xsl:choose>
			<xsl:when test="$type='tab'">
				<!-- Move target Icon for Tabs -->
					<a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
						<img alt="Click to select target location" title="Click to select target location" src="{$mediaPathControls}/airplanetarget.gif" width="16" height="16" border="0"/>
					</a>
				<!-- End Move Target Icon -->
			</xsl:when>
			<xsl:when test="$type='column'">
				<a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
					<img alt="Click to move column here" title="Click to move column here" src="{$mediaPathControls}/add_column_ani.gif" width="22" height="18" border="0"/>
				</a>
			</xsl:when>
			<xsl:when test="$type='channel'">
				<a href="{$baseActionURL}?uP_move_target={$moveID}&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
					<img alt="Click to move channel here" title="Click to move channel here" src="{$mediaPathControls}/add_channel_ani.gif" width="22" height="18" border="0"/>
				</a>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="add_target">
		<!-- Add target Icon in the Tabline -->
		<xsl:if test="$targetRestriction='tab'">
			<a href="{$baseActionURL}?uP_add_target=folder&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=">
				<img alt="Click to add new tab here" title="Click to add new tab here" src="{$mediaPathControls}/airplanetarget.gif" width="16" height="16" border="0"/>
			</a>
		</xsl:if>
		<!-- End Add Target Icon in the Tabline -->
		<!-- Add target Icon in the Columns -->
		<xsl:if test="$targetRestriction='column'">
			<a href="{$baseActionURL}?uP_add_target=folder&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=">
				<img alt="Click to add new column here" title="Click to add new column here" src="{$mediaPathControls}/add_column_ani.gif" width="22" height="18" border="0"/>
			</a>
		</xsl:if>
		<!-- End Add Target Icon in the Columns -->
		<!-- Add target Icon in the Channels -->
		<xsl:if test="$targetRestriction='channel'">
			<a href="{$baseActionURL}?uP_add_target=channel&amp;targetNextID={@nextID}&amp;targetParentID={@parentID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=newNodeID&amp;newNodeID=">
				<img alt="Click to add new channel here" title="Click to add new channel here" src="{$mediaPathControls}/add_channel_ani.gif" width="22" height="18" border="0"/>
			</a>
		</xsl:if>
		<!-- End Add Target Icon in the Channels -->
	</xsl:template>
	<xsl:template match="@name" mode="view">
		<xsl:value-of select="."/>
	</xsl:template>

	<xsl:template match="@name" mode="preferences">
		<a class="uportal-navigation-category" href="#">
			<xsl:value-of select="."/>
		</a>
	</xsl:template>

	<xsl:template match="actions">
		User Preferences Actions

		<xsl:if test="not($targetRestriction='no targetRestriction parameter')">
			<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Cancel <xsl:value-of select="$targetAction" /></a>
		</xsl:if>

		<a href="{$baseActionURL}?uP_sparam=mode&amp;mode=view&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Turn Preferences Off</a>
		<a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=mode&amp;mode=preferences&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=tab&amp;uP_sparam=targetAction&amp;targetAction=New Tab">New Tab</a>
		<a href="{$baseActionURL}?uP_request_add_targets=folder&amp;uP_sparam=mode&amp;mode=preferences&amp;uP_sparam=targetRestriction&amp;targetRestriction=column&amp;uP_sparam=targetAction&amp;targetAction=New Column">New Column</a>
		<a href="{$baseActionURL}?uP_fname=contentsubscriber&amp;uPcCS_action=init&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Add Content</a>
		<a href="{$baseActionURL}?uP_fname=skinselector&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Skins</a>
		<a href="{$baseActionURL}?uP_fname=user-locales-selector&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">Languages</a>

		<xsl:if test="$authorizedFragmentPublisher='true'">
			<a href="{$baseActionURL}?uP_fname=fragment-manager&amp;uPcFM_action=default&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true&amp;uP_sparam=lastSessionTabID&amp;lastSessionTabID={$focusedTabID}">Fragments</a>
		</xsl:if>

		<xsl:choose>
			<xsl:when test="not($errorMessage='no errorMessage passed')">
				<xsl:call-template name="messageRow"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="statusCheck"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="statusCheck" />

	<xsl:template name="messageRow">
		<xsl:call-template name="message"/>
	</xsl:template>

	<xsl:template name="message">

		<xsl:param name="messageString" select="$errorMessage"/>
		<xsl:value-of select="$messageString"/>

	</xsl:template>

<!-- ============================================== -->
<!--
	<xsl:template match="column">

		<xsl:choose>
			<xsl:when test="$mode='preferences'">
					<xsl:choose>
						<xsl:when test="@ID=$selectedID">
						</xsl:when>
						<xsl:otherwise>
						</xsl:otherwise>
					</xsl:choose>

					<xsl:call-template name="columnRestrictions"/>
					<xsl:apply-templates>
						<xsl:with-param name="type" select="'channel'"/>
					</xsl:apply-templates>

			</xsl:when>
			<xsl:otherwise>
				start <xsl:apply-templates/> end
			</xsl:otherwise>
		</xsl:choose>
-->

	<xsl:template name="calculateShrinkColumn">

		<xsl:if test="number(@width)&gt;5">
			<xsl:call-template name="calculateAdjustColumn">
				<xsl:with-param name="increment" select="-5"/>
			</xsl:call-template>
		</xsl:if>

	</xsl:template>

	<xsl:template name="calculateExpandColumn">

		<xsl:if test="number(@width)&lt;95">
			<xsl:call-template name="calculateAdjustColumn">
				<xsl:with-param name="increment" select="5"/>
			</xsl:call-template>
		</xsl:if>

	</xsl:template>

	<xsl:template name="calculateAdjustColumn">
		<!-- The following algorithm computes a new width value that,
			 when normalized with the other widths by the structure stylesheet,
			 will produce the desired width increase increment.
			 For example, if you start with 2 columns, each 50%, and you want to
			 increase one of the columns by 5%, this algorithm would set that
			 column width to 61.11.  When the new values (61.11 and 50) are normalized,
			 you end up with the desired effect: 2 columns at 55% and 45%.
		-->
		<xsl:param name="increment">0</xsl:param>
		<xsl:variable name="width" select="@width"/>
		<xsl:variable name="sum" select="sum(../column/@width)"/>
		<xsl:variable name="newWidth" select="$width + (($increment * $sum) div (100 - $width - $increment))"/>
		<xsl:variable name="thisId" select="@ID"/>
		<xsl:choose>
			<xsl:when test="number($increment) &lt; 0">
				<input name="shrinkColumn" type="image" src="{$mediaPathControls}/columnshrink.gif" width="28" height="25" border="0" alt="Shrink this column by 5%" title="Shrink this column by 5%"/>
			</xsl:when>
			<xsl:otherwise>
				<input name="expandColumn" type="image" src="{$mediaPathControls}/columnexpand.gif" width="28" height="25" border="0" alt="Expand this column by 5%" title="Expand this column by 5%"/>
			</xsl:otherwise>
		</xsl:choose>
		<input type="hidden" name="uP_sparam" value="mode"/>
		<input type="hidden" name="mode" value="{$mode}"/>
		<input type="hidden" name="uP_sparam" value="focusedTabID"/>
		<input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
		<input type="hidden" name="uP_sparam" value="targetRestriction"/>
		<input type="hidden" name="targetRestriction" value="no targetRestriction parameter"/>
		<input type="hidden" name="uP_sfattr" value="width"/>
		<input type="hidden" name="width_folderId" value="{@ID}"/>
		<input type="hidden" name="width_{@ID}_value" value="{$newWidth}"/>
		<xsl:for-each select="../column">
			<xsl:if test="not($thisId = @ID)">
				<input type="hidden" name="uP_sfattr" value="width"/>
				<input type="hidden" name="width_folderId" value="{@ID}"/>
				<input type="hidden" name="width_{@ID}_value" value="{@width}"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="normalizeColumnWidths">
		<form name="form_normalizeColumnWidths" method="post" action="{$baseActionURL}">
			<td>
				<input name="normalizeColumnWidths" type="image" src="{$mediaPathControls}/columnnormalize.gif" width="28" height="25" border="0" alt="Reset column widths" title="Reset column widths"/>
				<input type="hidden" name="uP_sparam" value="mode"/>
				<input type="hidden" name="mode" value="{$mode}"/>
				<input type="hidden" name="uP_sparam" value="focusedTabID"/>
				<input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
				<input type="hidden" name="uP_sparam" value="targetRestriction"/>
				<input type="hidden" name="targetRestriction" value="no targetRestriction parameter"/>
				<xsl:for-each select="../column">
					<xsl:choose>
						<xsl:when test="not(round(100 mod number((count(../column))))=0) and position()=1">
							<input type="hidden" name="uP_sfattr" value="width"/>
							<input type="hidden" name="width_folderId" value="{@ID}"/>
							<input type="hidden" name="width_{@ID}_value" value="{round(100 div number((count(../column))))+1}"/>
						</xsl:when>
						<xsl:otherwise>
							<input type="hidden" name="uP_sfattr" value="width"/>
							<input type="hidden" name="width_folderId" value="{@ID}"/>
							<input type="hidden" name="width_{@ID}_value" value="{round(100 div number((count(../column))))}"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</td>
		</form>
	</xsl:template>
	<!-- - -->
	<!-- - Checkthe immutabe and unremovable attributes and draw the icons accordingly -->
	<!-- - -->
	<xsl:template name="tabRestrictions">
		<xsl:choose>
			<!-- Check if the node is immutable before allowing rename the tab -->
			<xsl:when test="@immutable='false'">
				<input name="uP_target_name" type="text" class="uportal-input-text" value="{@name}">
					<xsl:attribute name="size">
						<xsl:value-of select="string-length(@name)"/>
					</xsl:attribute>
				</input>
				<input type="hidden" name="uP_rename_target" value="{@ID}"/>
				<input type="hidden" name="uP_sparam" value="mode"/>
				<input type="hidden" name="mode" value="{$mode}"/>
				<input type="hidden" name="uP_sparam" value="focusedTabID"/>
				<input type="hidden" name="focusedTabID" value="{$focusedTabID}"/>
				<input name="renameTab" type="image" src="{$mediaPathControls}/submit.gif" width="22" height="18" border="0" alt="Submit new tab name" title="Submit new tab name"/>
			</xsl:when>
			<xsl:otherwise>
				<span class="uportal-navigation-category-selected">
					<xsl:value-of select="@name"/>
				</span>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Check if the parent node is immutable before allowing move -->
		<xsl:choose>
			<xsl:when test="/layout/@immutable='false'">
				<img src="{$mediaPathSkin}/transparent.gif" width="8" height="8"/>
				<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={@ID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=tab&amp;uP_sparam=targetAction&amp;targetAction=Tab Move">
					<img alt="Move this tab" title="Move this tab" src="{$mediaPathControls}/moveicon.gif" width="22" height="18" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<img alt="Move tab is disabled" title="Move tab is disabled" src="{$mediaPathControls}/moveicondisabled.gif" width="22" height="18" border="0"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Check if the node is unremovable before allowing delete -->
		<xsl:choose>
			<xsl:when test="/layout/@immutable='false' and @unremovable='false'">
				<a href="{$baseActionURL}?uP_remove_target={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onClick="return confirm('Are you sure you want to remove this tab?')">
					<img alt="Remove this tab" title="Remove this tab" src="{$mediaPathControls}/canicon.gif" width="22" height="18" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<img alt="Remove tab is disabled" title="Remove tab is disabled" src="{$mediaPathControls}/canicondisabled.gif" width="22" height="18" border="0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- - -->
	<!-- - Checkthe immutabe and unremovable attributes and draw the icons accordingly -->
	<!-- - -->
	<xsl:template name="columnRestrictions">
		<xsl:choose>
			<xsl:when test="$selectedID=@ID and $targetAction='Column Move'">
				<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true">
					<img src="{$mediaPathControls}/columncancelmove.gif" width="28" height="25" alt="cancel move action" title="cancel move action" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="/layout/navigation/focusedTab/@immutable='false'">
						<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=column&amp;uP_sparam=targetAction&amp;targetAction=Column Move">
							<img src="{$mediaPathControls}/columnmove.gif" width="28" height="25" alt="Move this column" title="Move this column" border="0"/>
						</a>
					</xsl:when>
					<xsl:otherwise>
						<img src="{$mediaPathControls}/columnmovedisabled.gif" width="28" height="25" alt="Move column is disabled" title="Move column is disabled" border="0"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="@unremovable='false'">
				<a href="{$baseActionURL}?uP_remove_target={@ID}&amp;uP_sparam=mode&amp;mode={$mode}" onClick="return confirm('Are you sure you want to remove this column?')">
					<img src="{$mediaPathControls}/columncan.gif" width="28" height="25" alt="Delete this column" title="Delete this column" border="0"/>
				</a>
			</xsl:when>
			<xsl:otherwise>
				<img src="{$mediaPathControls}/columncandisabled.gif" width="28" height="25" alt="Delete column is disabled" title="Delete column is disabled" border="0"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- The conditional below turns off any column width adjustments on immutable tabs -->
		<xsl:if test="/layout/navigation/focusedTab/@immutable='false'">
			<xsl:if test="count(../column)&gt;1">
				<xsl:if test="number(@width)&gt;5">
					<form name="formResizeColumn" method="post" action="{$baseActionURL}">
						<xsl:call-template name="calculateShrinkColumn"/>
					</form>
				</xsl:if>
				<xsl:if test="number(@width)&lt;95">
					<form name="formResizeColumn" method="post" action="{$baseActionURL}">
						<xsl:call-template name="calculateExpandColumn"/>
					</form>
				</xsl:if>
				<xsl:call-template name="normalizeColumnWidths"/>
				<span class="uportal-channel-strong"><xsl:value-of select="@width"/>%</span>
			</xsl:if>
		</xsl:if>
	</xsl:template>

	<xsl:template name="channel.action.remove">
		<a href="{$baseActionURL}?uP_remove_target={@ID}" onClick="return confirm('Are you sure you want to remove this channel?')" rev="remove" title="Remove this channel" tabindex="-1">
			<img src="{$mediaPathControls}/contentcan.gif" width="16" height="16" border="0" alt="Remove this channel" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.cancelMove">
		<a href="{$baseActionURL}?uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=no targetRestriction parameter&amp;uP_sparam=targetAction&amp;targetAction=no targetAction parameter&amp;uP_sparam=selectedID&amp;selectedID=&amp;uP_cancel_targets=true"  title="Cancel Channel Move" tabindex="-1">
			<img src="{$mediaPathControls}/contentcancelmove.gif" width="16" height="16" alt="Cancel Channel Move" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.requestMoveTargets">
		<a href="{$baseActionURL}?uP_request_move_targets={@ID}&amp;uP_sparam=mode&amp;mode={$mode}&amp;uP_sparam=selectedID&amp;selectedID={@ID}&amp;uP_sparam=focusedTabID&amp;focusedTabID={$focusedTabID}&amp;uP_sparam=targetRestriction&amp;targetRestriction=channel&amp;uP_sparam=targetAction&amp;targetAction=Channel Move" title="Move this channel" tabindex="-1">
			<img src="{$mediaPathControls}/contentmove.gif" width="16" height="16" alt="Move this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.language">
		<a href="#" title="Change language for this channel" tabindex="-1">
			<img src="{$mediaPathControls}/contentlanguages.gif" width="16" height="16" alt="Change language for this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.moveLocked">
		<img src="{$mediaPathControls}/movedisabled.gif" width="16" height="16" alt="This channel cannot be moved" border="0" />
	</xsl:template>

	<xsl:template name="channel.action.removeLocked">
		<img src="{$mediaPathControls}/delete.gif" width="16" height="16" alt="This channel cannot be removed" border="0" />
	</xsl:template>

	<xsl:template name="channel.action.about">
		<a href="{$baseActionURL}?uP_about_target={@ID}" title="Information about this channel" tabindex="-1">
			<img src="{$mediaPathControls}/about.gif" width="16" height="16" alt="Information about this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.root">
		<a href="{$baseActionURL}?uP_root=root" title="Return to uPortal" tabindex="-1">
			<img src="{$mediaPathControls}/return.gif" width="16" height="16" alt="Return to uPortal" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.help">
		<a href="{$baseActionURL}?uP_help_target={@ID}" title="View help information for this channel" tabindex="-1">
			<img src="{$mediaPathControls}/help.gif" width="16" height="16" alt="View help information for this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.edit">
		<a href="{$baseActionURL}?uP_edit_target={@ID}" title="Edit the settings for this channel" tabindex="-1">
			<img src="{$mediaPathControls}/edit.gif" width="16" height="16" alt="Edit the settings for this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.print">
		<!-- <a href="{$baseActionURL}?uP_print_target={@ID}" id="print{@ID}" rev="printChannel" rel="windowID{@ID}" title="Print the content of this channel"> -->
		<a href="{$baseActionURL}?uP_root={@ID}" id="print{@ID}" rev="printChannel" rel="{@ID}" title="Print the content of this channel" tabindex="-1">
			<img src="{$mediaPathControls}/print.gif" width="16" height="16" alt="Print the content of this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.focus">
		<a href="{$baseActionURL}?uP_root={@ID}" id="focus{@ID}" rev="focusChannel" rel="{@ID}" title="View this channel separately" tabindex="-1">
			<img src="{$mediaPathControls}/focus.gif" width="16" height="16" alt="View this channel separately" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.maximize">
		<a href="{$baseActionURL}?uP_tcattr=minimized&amp;minimized_channelId={@ID}&amp;minimized_{@ID}_value=false" title="View the content of this channel" tabindex="-1">
			<img src="{$mediaPathControls}/maximize.gif" width="16" height="16" alt="View the content of this channel" border="0" />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.minimize">
		<a href="{$baseActionURL}?uP_tcattr=minimized&amp;minimized_channelId={@ID}&amp;minimized_{@ID}_value=true" id="minmax{@ID}" rev="minmaxChannel" rel="{@ID}" title="Hide the content of this channel" tabindex="-1">
			<img src="{$mediaPathControls}/minimize.gif" width="16" height="16" alt="Hide the content of this channel" border="0"  />
		</a>
	</xsl:template>

	<xsl:template name="channel.action.detach">
		<a href="{$baseActionURL}?uP_detach_target={@ID}" id="detach{@ID}" rev="detachChannel" rel="{@ID}" title="View this channel in a new window" tabindex="-1">
			<img src="{$mediaPathControls}/detach.gif" width="16" height="16" alt="View this channel in a new window" border="0" />
		</a>
	</xsl:template>

	<!-- - -->
	<!-- - Check the attributes and parameters and draw the icons accordingly -->
	<!-- - -->
	<xsl:template name="channelRestrictions">
		<xsl:choose>
			<xsl:when test="$mode='preferences' and $userLayoutRoot='root'">
				<!-- Conditionals for Preferences Mode -->
				<xsl:choose>
					<xsl:when test="$selectedID=@ID and $targetAction='Channel Move'">
						<xsl:call-template name="channel.action.cancelMove"/>
					</xsl:when>
					<xsl:when test="not(../@immutable='false')">
						<xsl:call-template name="channel.action.moveLocked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.requestMoveTargets"/>
					</xsl:otherwise>
				</xsl:choose>
				<!-- Language preferences removed until later version of uPortal -->
				<xsl:choose>
					<xsl:when test="not(../@immutable='false') or not(../@unremovable='false')">
						<xsl:call-template name="channel.action.removeLocked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.remove"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="not($userLayoutRoot='root')">
				<!-- <xsl:call-template name="focusedControls"/> -->
				<xsl:call-template name="channel.action.root"/>
				<xsl:if test="not(@hasHelp='false')">
					<xsl:call-template name="channel.action.help"/>
				</xsl:if>
				<xsl:if test="not(@hasAbout='false')">
					<xsl:call-template name="channel.action.about"/>
				</xsl:if>
				<xsl:if test="not(@editable='false')">
					<xsl:call-template name="channel.action.edit"/>
				</xsl:if>
				<!-- <xsl:if test="@printable='true'"> -->
					<xsl:call-template name="channel.action.print"/>
				<!-- </xsl:if> -->
			</xsl:when>
			<xsl:otherwise>
				<!-- <xsl:call-template name="controls"/> -->
				<xsl:call-template name="channel.action.focus"/>
				<xsl:call-template name="channel.action.detach"/>
				<xsl:if test="not(@hasHelp='false')">
					<xsl:call-template name="channel.action.help"/>
				</xsl:if>
				<xsl:if test="not(@hasAbout='false')">
					<xsl:call-template name="channel.action.about"/>
				</xsl:if>
				<xsl:if test="not(@editable='false')">
					<xsl:call-template name="channel.action.edit"/>
				</xsl:if>
				<!-- <xsl:if test="@printable='true'"> -->
					<xsl:call-template name="channel.action.print"/>
				<!-- </xsl:if> -->
				<xsl:choose>
					<xsl:when test="@minimized='true'">
						<xsl:call-template name="channel.action.maximize"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.minimize"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="not(../@immutable='false') or not(../@unremovable='false')">
						<xsl:call-template name="channel.action.removeLocked"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="channel.action.remove"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="detachedChannelControls">

		<xsl:if test="not(@hasHelp='false')">
			<xsl:call-template name="channel.action.help"/>
		</xsl:if>

		<xsl:if test="not(@hasAbout='false')">
			<xsl:call-template name="channel.action.about"/>
		</xsl:if>

		<xsl:if test="not(@editable='false')">
			<xsl:call-template name="channel.action.edit"/>
		</xsl:if>

		<!--	<xsl:if test="@printable='true'"> -->
			<xsl:call-template name="channel.action.print"/>
		<!--	</xsl:if> -->

	</xsl:template>


</xsl:stylesheet>